#include "Bomber.h"
#include "Bomb.h"
#include "InputHandler.h"
#include "BombHandler.h"
#include "TextureManager.h"
#include "Game.h"

#include <vector>

Bomber::Bomber() :
		m_direction(1),has_bomb(false), bomber_xm_time(2), bomber_xm(2), fupdate(1) {
	//m_direction = 1;
	cout << "Bomber Constructor " << endl;
	lastTime = SDL_GetTicks()/10;

	m_x = rand() % 400 + 30;
}

Bomber::~Bomber() {

	cout << "Bomber Destructor " << endl;

}

void Bomber::reset() {
	m_x = rand() % 400 + 30;
	bomber_xm = 2;
	bomber_xm_time = 2;
}

void Bomber::playUpdate() {
	// FIXME: need to get level from game
	int level = 4;

		//m_y += 1;

		//update position every other frame
		if (fupdate == 1) {
			m_x += bomber_xm * m_direction;

			if (m_x > 588 ) {
				m_x = 588;
				m_direction *= -1;
			}
			if ( m_x < 30) {
				m_x = 30;
				m_direction *= -1;
			}

			currentTime = SDL_GetTicks()/10;

			if ((currentTime - lastTime) >= bomber_xm_time ) {
				bomber_xm_time = (rand() % (level * 50)) + 128/level;
				int tmpx = rand() % 8 + 2;
				bomber_xm = tmpx / 2 * (tmpx % 2 == 1 ? 1 : -1) * (level +1 )/2;
				lastTime = SDL_GetTicks()/10;

			}

			fupdate = 0;
		} else
			fupdate = 1;






		if (TheInputHandler::Instance()->isKeyDown(SDL_SCANCODE_SPACE)   ) {
			 if(m_bombCounter == m_bombDropSpeed) {
				 if (has_bomb == false) {
						m_bomb= new Bomb();
						has_bomb = true;
						m_bomb->load(m_x,m_y + 40,32,32, "bomb");
				 } else {

					 //delete m_bomb;
					 TheBombHandler::Instance()->addBomb(m_bomb);
					 has_bomb = false;
				 }
			}
			m_bombCounter++;

		} else {
			m_bombCounter = m_bombDropSpeed;
		}

		if (has_bomb == true) {
			m_bomb->setX(m_x);
			m_bomb->update();
		}
		BombHandler::Instance()->updateBombs();
}

void Bomber::explodeUpdate() {
	BombHandler::Instance()->updateBombs();
}

void Bomber::update() {
	// we only have one frame on the bomber now
	m_currentFrame = 0;

//	if (TheGame::Instance()->getState() == PLAY) {
//		playUpdate();
//	} else if (TheGame::Instance()->getState() == EXPLODE) {
//		explodeUpdate();
//	}

	switch (TheGame::Instance()->getState() ) {
	case PLAY:
		playUpdate();
		break;
	case EXPLODE:
		explodeUpdate();
		break;
	case PAUSE:
		//cout << "Current state is pause" << endl;
		break;
	default:
		break;
	}


}

void Bomber::load(int x, int y, int width, int height, std::string textureID) {
	GameObject::load(x, y, width, height, textureID);
	//load(x, y, width, height, textureID);
}

void Bomber::draw(SDL_Renderer* pRenderer) {
	//TextureManager::Instance()->scaleFrame(m_textureID, m_x, m_y, m_width, m_height, m_destWidth, m_destHeight, m_currentRow, m_currentFrame, pRenderer);
	 //TextureManager::Instance()->drawFrame(m_textureID, m_x, m_y, m_width, m_height, m_currentRow, m_currentFrame, pRenderer);
	GameObject::draw(pRenderer);
	if (has_bomb == true)
		m_bomb->draw(pRenderer);
	BombHandler::Instance()->drawBombs(pRenderer);
}

void Bomber::clean() {
}

